#
# spec file for package ttf2pt1
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ttf2pt1
BuildRequires:  freetype2-devel
Requires:       t1utils
Summary:        True Type Font to PostScript Type 1 font converter
License:        BSD-3-Clause
Group:          Productivity/Publishing/PS
Version:        344
Release:        201.14
Url:            http://ttf2pt1.sourceforge.net/
# original Sources are .tgz
Source0:        http://download.sourceforge.net/ttf2pt1/ttf2pt1-3.4.4.tar.bz2
Source1:        http://download.sourceforge.net/ttf2pt1/ttf2pt1-chinese-3.4.0.tar.bz2
Source2:        README.SuSE
Patch0:         %{name}.diff
Patch1:         ttf2pt1-3.4.1-freetype2.diff
Patch2:         freetype-2.1.7.patch
Patch3:         ttf2pt1-3.4.4-fix-convert.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a collection of tools and scripts that allow to convert True
Type Fonts (as used by MS Wind*ws) to be converted to Postscript Type 1
fonts, so they can be used in X11 and Ghostscript.



Authors:
--------
    Mark Heath <mheath@netspace.net.au>
    Sergey Babkin <babkin@bellatlantic.net>
    Andrew Weeks <ccsaw@bath.ac.uk>
    Frank M. Siegert <fms@this.net>

%prep 
%setup -n %{name}-3.4.4 -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make CFLAGS_SYS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make INSTDIR=$RPM_BUILD_ROOT/usr MANDIR=$RPM_BUILD_ROOT/%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/etc/%{name}
cp -ai $RPM_BUILD_ROOT/usr/share/%{name}/scripts/convert.cfg.sample \
       $RPM_BUILD_ROOT/etc/%{name}/convert.cfg
cp -a ttf2pt1-chinese-*/*.map $RPM_BUILD_ROOT/usr/share/%{name}/maps/
rm -f  $RPM_BUILD_ROOT/usr/share/%{name}/scripts/{inst_dir,inst_file,mkrel,html2man}
rm -rf  $RPM_BUILD_ROOT/usr/share/%{name}/app/{RPM,X11}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/{app,encodings,other}
for i in COPYRIGHT FONTS* README* CHANGES* app encodings other
do
    ln -s /usr/share/%{name}/$i $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/$i
done
cp -a %{S:2} $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/%{name}
%dir /etc/%{name}
%config(noreplace) /etc/%{name}/*
/usr/bin/*
/usr/lib/ttf2pt1
/usr/share/%{name}
%{_mandir}/man1/*

%changelog
* Wed Dec 10 2014 Led <ledest@gmail.com>
- fix "unsafe echo with backslash" in convert script
- add patches:
  * ttf2pt1-3.4.4-fix-convert.patch
* Mon Aug 21 2006 anosek@suse.cz
- fixed not building with make 3.81
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Tue Feb 17 2004 nadvornik@suse.cz
- do not build nsfix
- build as user
* Wed Feb 11 2004 nadvornik@suse.cz
- updated to 3.4.4
- compiled with -fno-strict-aliasing
* Fri Dec 19 2003 mfabian@suse.de
- update to 3.4.3
- make it build again with freetype 2.1.7.
* Tue Jun 17 2003 ro@suse.de
- added directory to filelist
* Wed Aug 14 2002 nadvornik@suse.cz
- changed directory layout under /usr/share/doc/ttf2pt1
  to the same as on 8.0 because RPM can't update from directory
  to symlink.
* Mon Jul 29 2002 nadvornik@suse.cz
- updated to 3.4.1
  - vectorization of bitmap fonts
- fixed some typos in spec file and patches
* Tue Mar 12 2002 nadvornik@suse.cz
- added dir /etc/ttf2pt1 to filelist
* Mon Jan 14 2002 mfabian@suse.de
- update to 3.4.0 (chinese map files updated as well)
- enable the Freetype2-based parser (option '-p ft')
* Wed Dec  5 2001 nadvornik@suse.cz
- changed /usr/libexec to /usr/lib
* Tue Nov 13 2001 mfabian@suse.de
- update to 3.3.5
- remove hunk patching ttf2pt1-321/app/RPM/ttf2pt1.spec
  (we don't use that .spec file anyway)
- Chinese map files have been separated in to a different
  tar ball upstream. Include that as well.
- ttf2pfa has vanished from ttf2pt1-3.3.5, it is obsolete
  (All of its functionality has been integrated into ttf2pt1
  and all the development moved to ttf2pt1, including Andrew Weeks,
  the author of ttf2pfa. Please use ttf2pt1 instead.)
- use 'make install'
- add man pages
- install config file to /etc/ttf2pt1/convert.cfg
* Mon Dec 11 2000 nadvornik@suse.cz
- removed t1asm, added Requires: t1utils
* Fri May 26 2000 garloff@suse.de
- Update to 322.
* Wed May 24 2000 garloff@suse.de
- Use %%{_docdir}
* Thu Apr 13 2000 garloff@suse.de
- initial creation of package
